Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite
Interface RendsiteProperties

All Known Implementing Classes:
  Processor, PropertiesContext

    public interface RendsiteProperties

These are the properties used in metafiles.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary
`static java.lang.String` | `PROP_CATALOG_FILE_NAME`
`static java.lang.String` | `PROP_CATALOG_FILE_NAME__DEFAULT`
`static java.lang.String` | `PROP_COPYRIGHT_NOTICE`
`static java.lang.String` | `PROP_DIR_COPY_ONLY`
`static java.lang.String` | `PROP_DIR_EXCLUDE`
`static java.lang.String` | `PROP_DIR_IGNORE`
`static java.lang.String` | `PROP_DIRECTORY`
`static java.lang.String` | `PROP_DIRECTORY_CATALOG`
`static java.lang.String` | `PROP_DIRECTORY_DESCRIPTION`
`static java.lang.String` | `PROP_DIRECTORY_NAME`
`static java.lang.String` | `PROP_DIRECTORY_TYPE`
`static java.lang.String` | `PROP_FILE`
`static java.lang.String` | `PROP_FILE_CATEGORY`
`static java.lang.String` | `PROP_FILE_COPY_ONLY`
`static java.lang.String` | `PROP_FILE_DESCRIPTION`
`static java.lang.String` | `PROP_FILE_EXCLUDE`
`static java.lang.String` | `PROP_FILE_IGNORE`
`static java.lang.String` | `PROP_FILE_NAME`
`static java.lang.String` | `PROP_FILE_RENDERING_TYPE`
`static java.lang.String` | `PROP_FILE_TYPE`
`static java.lang.String` | `PROP_LOCAL_DESCRIPTION`
`static java.lang.String` | `PROP_PROJECT`
`static java.lang.String` | `PROP_RENDERER_NAME`
`static java.lang.String` | `PROP_TEMPLATE_PATH_CATALOG`
`static java.lang.String` | `PROP_TEMPLATE_PATH_FILE`
`static char` | `PROP_WILDCARD`

Field Detail

### PROP_RENDERER_NAME

    static final java.lang.String PROP_RENDERER_NAME

See Also:
  Constant Field Values

### PROP_TEMPLATE_PATH_CATALOG

    static final java.lang.String PROP_TEMPLATE_PATH_CATALOG

See Also:
  Constant Field Values

### PROP_TEMPLATE_PATH_FILE

    static final java.lang.String PROP_TEMPLATE_PATH_FILE

See Also:
  Constant Field Values

### PROP_FILE

    static final java.lang.String PROP_FILE

See Also:
  Constant Field Values

### PROP_FILE_NAME

    static final java.lang.String PROP_FILE_NAME

See Also:
  Constant Field Values

### PROP_FILE_DESCRIPTION

    static final java.lang.String PROP_FILE_DESCRIPTION

See Also:
  Constant Field Values

### PROP_FILE_TYPE

    static final java.lang.String PROP_FILE_TYPE

See Also:
  Constant Field Values

### PROP_FILE_CATEGORY

    static final java.lang.String PROP_FILE_CATEGORY

See Also:
  Constant Field Values

### PROP_FILE_RENDERING_TYPE

    static final java.lang.String PROP_FILE_RENDERING_TYPE

See Also:
  Constant Field Values

### PROP_DIRECTORY

    static final java.lang.String PROP_DIRECTORY

See Also:
  Constant Field Values

### PROP_DIRECTORY_NAME

    static final java.lang.String PROP_DIRECTORY_NAME

See Also:
  Constant Field Values

### PROP_DIRECTORY_DESCRIPTION

    static final java.lang.String PROP_DIRECTORY_DESCRIPTION

See Also:
  Constant Field Values

### PROP_DIRECTORY_TYPE

    static final java.lang.String PROP_DIRECTORY_TYPE

See Also:
  Constant Field Values

### PROP_DIRECTORY_CATALOG

    static final java.lang.String PROP_DIRECTORY_CATALOG

See Also:
  Constant Field Values

### PROP_CATALOG_FILE_NAME

    static final java.lang.String PROP_CATALOG_FILE_NAME

See Also:
  Constant Field Values

### PROP_CATALOG_FILE_NAME__DEFAULT

    static final java.lang.String PROP_CATALOG_FILE_NAME__DEFAULT

See Also:
  Constant Field Values

### PROP_DIR_IGNORE

    static final java.lang.String PROP_DIR_IGNORE

See Also:
  Constant Field Values

### PROP_DIR_EXCLUDE

    static final java.lang.String PROP_DIR_EXCLUDE

See Also:
  Constant Field Values

### PROP_DIR_COPY_ONLY

    static final java.lang.String PROP_DIR_COPY_ONLY

See Also:
  Constant Field Values

### PROP_FILE_IGNORE

    static final java.lang.String PROP_FILE_IGNORE

See Also:
  Constant Field Values

### PROP_FILE_EXCLUDE

    static final java.lang.String PROP_FILE_EXCLUDE

See Also:
  Constant Field Values

### PROP_FILE_COPY_ONLY

    static final java.lang.String PROP_FILE_COPY_ONLY

See Also:
  Constant Field Values

### PROP_COPYRIGHT_NOTICE

    static final java.lang.String PROP_COPYRIGHT_NOTICE

See Also:
  Constant Field Values

### PROP_PROJECT

    static final java.lang.String PROP_PROJECT

See Also:
  Constant Field Values

### PROP_LOCAL_DESCRIPTION

    static final java.lang.String PROP_LOCAL_DESCRIPTION

See Also:
  Constant Field Values

### PROP_WILDCARD

    static final char PROP_WILDCARD

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.